Criar configuração de foto
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/config/photos \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/config/photos"
payload = {
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
width_small: 123,
height_small: 123,
width_thumb: 123,
height_thumb: 123,
width_medium: 123,
height_medium: 123,
width_large: 123,
height_large: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/config/photos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/config/photos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'width_small' => 123,
'height_small' => 123,
'width_thumb' => 123,
'height_thumb' => 123,
'width_medium' => 123,
'height_medium' => 123,
'width_large' => 123,
'height_large' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/config/photos"
payload := strings.NewReader("{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dooki.com.br/v2/{alias}/config/photos")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/config/photos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"auto_crop": true,
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
}Fotos
Criar configuração de foto
Cria uma nova configuração de foto com os tamanhos especificados
POST
/
{alias}
/
config
/
photos
Criar configuração de foto
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/config/photos \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/config/photos"
payload = {
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
width_small: 123,
height_small: 123,
width_thumb: 123,
height_thumb: 123,
width_medium: 123,
height_medium: 123,
width_large: 123,
height_large: 123
})
};
fetch('https://api.dooki.com.br/v2/{alias}/config/photos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dooki.com.br/v2/{alias}/config/photos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'width_small' => 123,
'height_small' => 123,
'width_thumb' => 123,
'height_thumb' => 123,
'width_medium' => 123,
'height_medium' => 123,
'width_large' => 123,
'height_large' => 123
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"User-Secret-Key: <api-key>",
"User-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dooki.com.br/v2/{alias}/config/photos"
payload := strings.NewReader("{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("User-Token", "<api-key>")
req.Header.Add("User-Secret-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dooki.com.br/v2/{alias}/config/photos")
.header("User-Token", "<api-key>")
.header("User-Secret-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dooki.com.br/v2/{alias}/config/photos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["User-Token"] = '<api-key>'
request["User-Secret-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"width_small\": 123,\n \"height_small\": 123,\n \"width_thumb\": 123,\n \"height_thumb\": 123,\n \"width_medium\": 123,\n \"height_medium\": 123,\n \"width_large\": 123,\n \"height_large\": 123\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"auto_crop": true,
"width_small": 123,
"height_small": 123,
"width_thumb": 123,
"height_thumb": 123,
"width_medium": 123,
"height_medium": 123,
"width_large": 123,
"height_large": 123
}
}Path Parameters
Alias da loja
Body
application/json
Representa os dados necessários para criar ou atualizar uma configuração de fotos
Largura da foto pequena
Altura da foto pequena
Largura da miniatura
Altura da miniatura
Largura da foto média
Altura da foto média
Largura da foto grande
Altura da foto grande
Response
Configuração de foto criada com sucesso
Dados da configuração de foto criada.
Show child attributes
Show child attributes
Was this page helpful?